import { Status } from "./types";
export type AuthorizeRequest = {
    identification: string;
    password: string;
};
export type AuthorizeReply = {
    token: string;
    userId: string;
};
export declare const generateApiToken: (userId: string) => void;
export declare class FlarumApi {
    readonly endpoint: string;
    private token;
    private userId;
    private verbose;
    /**
     *
     * @param endpoint Your forum's API endpoint. It ends with 'api'
     * @param token Your API Key. Use generateApiToken function.
     * @param verbose Optionally, if set, it will print the progress. For debug only
     */
    constructor(endpoint: string, verbose?: boolean);
    authorize: (userNameOrUserId: string | number, passwordOrApiToken: string) => Promise<Status>;
}
